---
lang: en
title: 'API docs: express.invokemiddlewareprovider'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/express
permalink: /doc/en/lb4/apidocs.express.invokemiddlewareprovider.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/express](./express.md) &gt; [InvokeMiddlewareProvider](./express.invokemiddlewareprovider.md)

## InvokeMiddlewareProvider class

Extension point for middleware to be run as part of the sequence actions

<b>Signature:</b>

```typescript
export declare class InvokeMiddlewareProvider implements Provider<InvokeMiddleware> 
```
<b>Implements:</b> [Provider](./context.provider.md)<!-- -->&lt;[InvokeMiddleware](./express.invokemiddleware.md)<!-- -->&gt;

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [binding](./express.invokemiddlewareprovider.binding.md) |  | [Binding](./context.binding.md)<!-- -->&lt;[InvokeMiddleware](./express.invokemiddleware.md)<!-- -->&gt; | Inject the binding so that we can access <code>extensionPoint</code> tag |
|  [defaultOptions](./express.invokemiddlewareprovider.defaultoptions.md) |  | [InvokeMiddlewareOptions](./express.invokemiddlewareoptions.md) | Default options for invoking the middleware chain |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [action(middlewareCtx, optionsOrHandlers)](./express.invokemiddlewareprovider.action.md) |  |  |
|  [value()](./express.invokemiddlewareprovider.value.md) |  |  |


